emacs doesn't launch because of Font `-*-terminus-medium-*-*-*-17-120-*-*-*-*-iso10646-1' is not defined

Bug #544263 reported by Anmar Oueja
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
emacs23 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: emacs23

Emacs 23 and Emacs-snapshot both don't launch because of the follow error message:

Font `-*-terminus-medium-*-*-*-17-120-*-*-*-*-iso10646-1' is not defined

ProblemType: Bug
Architecture: amd64
Date: Mon Mar 22 11:51:07 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
Package: emacs (not installed)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: emacs23
Uname: Linux 2.6.32-16-generic x86_64

Revision history for this message
Ralf Doering (rdoering) wrote :

Could you please verify if this happens with "emacs23 -Q" too?

Changed in emacs23 (Ubuntu):
status: New → Incomplete
Revision history for this message
Anmar Oueja (anmar) wrote :

I have to figure out what I did to fix it. I remember symlinking something but I need to revert that fix and test .

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for emacs23 (Ubuntu) because there has been no activity for 60 days.]

Changed in emacs23 (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Kenan Esau (conan) wrote :

Sorry -- but exactly this bug occurs on my 11.04-install (upgrade from 10.10):

kenan@conan:~$ emacs -Q
Font `Bitstream Vera Sans Mono 12' is not defined

how can I fix this???

Changed in emacs23 (Ubuntu):
status: Expired → New
Revision history for this message
Kenan Esau (kenan-esau) wrote :

I fixed my problem by installing the package 'ttf-bitstream-vera'.

Nevertheless I was not able to find the place where emacs was configured to use the bitstream-vera-font as its default. There is no entry in '.emacs' and nothing in '.Xresources' ...

So

1. where does emacs get the setting for its default font from?
2. And why is there no dependendy between the emacs package and the package for its default font?

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in emacs23 (Ubuntu):
status: New → Confirmed
Revision history for this message
JP (vectorpoem) wrote :

I encountered this bug after removing a reference to the UbuntuBeta Mono font from my .emacs file, and then removing the font(s) from my system. There is some other place where the font is being referenced, and I couldn't track it down after looking through dozens of files, including some compiled .elc files.

Reinstating the font is a workaround, not a fix.

Revision history for this message
Anmar Oueja (anmar) wrote :

for the record. This bug no longer occurs .

Revision history for this message
era (era) wrote :

@anmar: which version do you use, can you confirm that upgrading to that version fixed this issue?

Revision history for this message
Jonathan Olmsted (jpolmsted) wrote :

I came across this bug report after having the same problem, which, in my case, as in #7, was caused a reference to UbuntuBeta Mono. I'll gladly help out any way I cant.

Kubuntu 11.10
Emacs 23

In terminal emulator, "emacs" will throw that error, but "emacs -nw" will not, so that is my workaround for the time. This happens even if I don't use any of my custom lisp code in the local site file.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers